Bug 132813 - Error making bzImage in FC2
Error making bzImage in FC2
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-09-17 08:45 EDT by Aitor Garcia
Modified: 2015-01-04 17:09 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-11-18 23:20:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
My configuration options for kernel (48.35 KB, text/plain)
2004-09-17 09:25 EDT, Aitor Garcia
no flags Details

  None (edit)
Description Aitor Garcia 2004-09-17 08:45:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
When I try to make the bzImage, After had pached the souce with 
Julian Anastasov patches see http://www.ssi.bg/~ja/#routes, the 
compiler (gcc-3.3.3-7) fails with this error:

kernel/sched.c:2539: warning: `interruptible_sleep_on' is deprecated 
(declared at kernel/sched.c:2527)
gcc: Internal error: Segmentation fault (program as)
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
make[2]: *** [drivers/md/md.o] Error 1
make[1]: *** [drivers/md] Error 2
make: *** [drivers] Error 2

What can I do?

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Apply Patches
2.Get the current kernel configuration
3.Make sure that 'equal cost multi path' is enabled
4.Try to make the bzImage (make bzImage)

Actual Results:  Compiler Error

Expected Results:  bzImages created succesfully!

Additional info:
Comment 1 Aitor Garcia 2004-09-17 09:21:59 EDT
Now I removed the rain options with menuconf and other Segmentation 
Fault error occurs:

kernel/sched.c:2539: warning: `interruptible_sleep_on' is deprecated 
(declared at kernel/sched.c:2527)
In file included from include/linux/mmzone.h:9,
                 from include/linux/gfp.h:4,
                 from include/linux/slab.h:15,
                 from crypto/mpi/mpi-internal.h:34,
                 from crypto/mpi/mpi-scan.c:21:
include/linux/list.h: In function `list_splice_init':
include/linux/list.h:294: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
The bug is not reproducible, so it is likely a hardware or OS problem.
make[2]: *** [crypto/mpi/mpi-scan.o] Error 1
make[1]: *** [crypto/mpi] Error 2
make: *** [crypto] Error 2

Maybe the compiler gcc doesn't work?
Comment 2 Aitor Garcia 2004-09-17 09:25:25 EDT
Created attachment 103945 [details]
My configuration options for kernel
Comment 3 Arjan van de Ven 2004-09-17 09:27:23 EDT
have you overclocked your computer?
have you run memtest86 to check the memory ?
Comment 4 Aitor Garcia 2004-09-18 06:12:36 EDT
memtest86 report errors!!

I had changed the ram modules and the kernel source seems to work.

Thanks a lot!!!

Note You need to log in before you can comment on or make changes to this bug.